using Contracts.BindingModels;
using Contracts.SearchModels;
using Contracts.ViewModels;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Contracts.StorageContracts
{
	public interface ISellStorage
	{
        SellViewModel? Insert(SellBindingModel model);

		IEnumerable<SellViewModel> GetFullList(SellSearchModel? model);
        IEnumerable<SellViewModel> GetFilteredList(SellSearchModel? model);

        SellViewModel? GetElement(SellSearchModel model);

        SellViewModel? Update(SellBindingModel model);

        SellViewModel? Delete(SellSearchModel model);
	}
}
